IFAPI_INITIALIZE Struct Reference

`#include <fapi_int.h>`

## Data Fields

TPMS_CAPABILITY_DATA * | capability
char ** | pathlist
size_t | numPaths
size_t | numNullPrimaries
size_t | primary_idx
size_t | path_idx
IFAPI_OBJECT * | null_primaries

## Detailed Description

The data structure holding internal state of Fapi_Initialize command.

## Field Documentation

## null_primaries

IFAPI_OBJECT* null_primaries

Array of the NULL hierarchy primaries.

## numNullPrimaries

size_t numNullPrimaries

Number of NULL hierarchy primaries stored in keystore

## numPaths

size_t numPaths

Size of array with all keystore objects

## path_idx

size_t path_idx

Index of array with the object paths

## pathlist

char** pathlist

The array with all keystore objects

## primary_idx

size_t primary_idx

Index to the current primary

The documentation for this struct was generated from the following file:

- src/tss2-fapi/fapi_int.h